Page MenuHomePhabricator

Wikidocumentaries at the Wikimania hackathon
Closed, ResolvedPublic

Description

Story: Write content and data to Wikimedia projects
Wikidocumentaries is a website where users can find media in GLAM collections around the world. By engaging with interesting content, they will enrich the media and import that content and data to Wikimedia projects. To allow users to write data and media to Wikimedia projects, we need to make registration easier and allow OAuth.

Starting to write data will enable adding found images to Wikimedia Commons and enriching their metadata, allow users to fix and edit data on Wikidata items straight from the Wikidocumentaries page, make possible adding new data, items and source information to Wikidata from federated queries relating to each topic and create a platform for a variety of crowdsourcing tools.

Story: Navigate the content in all languages
Wikidocumentaries will make all Wikimedia content accessible equally in all languages. All information in Wikidocumentaries is linked using Wikidata QIDs. A Wikipedia article relating to a specific Wikidata item can be read in other languages if it is missing in the user's language or translated easily. There is remaining work in making all languages work.

Story: Use local Wikibase to add a layer of local content
Wikidocumentaries allows users to write testimonials and other thematic writings about Wikidata topics in addition to displaying the related Wikipedia articles. The Wikidocumentaries wiki is the place to write these articles, but how to link them to the Wikidata item? There could be several articles relating to the same topic, and there could be translations of these in several languages, and they should be linked with the data item. The testimonials are not collaboratively written articles, instead they should be treated as primary sources and edited only by their creators. The information could be saved in the local Wikibase. How to architect this? T229999

Links in embedded Wikipedia articles are redirected to pages created based on their QIDs. Articles that are created in Wikidocumentaries, should have links that are only based on the QID. To allow this for ordinary users, VisualEditor should be made to create links based on QIDs.

Possible tasks

MediaWiki-related tasks

  • Establish the user account creation process and enable OAuth for editing Wikimedia projects T197969
  • Install VisualEditor T200605
  • Prototype an add-on to VisualEditor that makes links based on Wikidata items. T229748

Structured Data on Commons T223358

  • Enhance media search and metadata retrieval from SDC T223679
  • Enable media and metadata upload and update to Wikimedia Commons T197968
  • Create a one-click function to upload a found image to Wikimedia Commons T229994

Languages

  • Make translations to new languages T229765
  • Automate new translation inclusion T222453
  • Fix language bugs: recognise and route all language codes correctly, and other language-related routing challenges T210317

Wikibase

  • Link local articles to Wikidata items and store the link in the Wikidocumentaries Wikibase T200605

Crowdsourcing

  • Create photo geotagging interface and solve data storage T209605
  • Include map georectification interface and solve data storage T227036

Planning, designing, brainstorming

Event Timeline

Susannaanas renamed this task from Wikidocumentaries at Wikimania hackathon to Wikidocumentaries at the Wikimania hackathon.Aug 3 2019, 10:52 AM
Susannaanas updated the task description. (Show Details)
Susannaanas updated the task description. (Show Details)Aug 3 2019, 10:54 AM
Susannaanas updated the task description. (Show Details)
Susannaanas updated the task description. (Show Details)
Susannaanas moved this task from Backlog to Project Idea on the Wikimania-Hackathon-2019 board.
Susannaanas updated the task description. (Show Details)
Susannaanas updated the task description. (Show Details)Aug 3 2019, 11:50 AM
Susannaanas updated the task description. (Show Details)Aug 4 2019, 7:28 AM
Susannaanas updated the task description. (Show Details)Aug 5 2019, 8:20 AM
Susannaanas updated the task description. (Show Details)Aug 7 2019, 6:14 AM
Susannaanas updated the task description. (Show Details)Aug 7 2019, 7:13 AM
Susannaanas updated the task description. (Show Details)Aug 7 2019, 8:32 AM
Salgo60 added a subscriber: Salgo60.Aug 8 2019, 8:36 AM
Susannaanas closed this task as Resolved.Aug 22 2019, 8:11 AM